hosc-0.21.1: Haskell Open Sound Control

Safe Haskell | Safe-Inferred
Language | Haskell2010

Sound.Osc.Time.Timeout

Description

Timeout, implemented independently of socket timeout setting.

Synopsis

- timeout_r :: Double -> IO a -> IO (Maybe a)
- recvPacketTimeout :: Transport t => Double -> t -> IO (Maybe (PacketOf Message))

# Documentation

timeout_r :: Double -> IO a -> IO (Maybe a) Source #

Variant of `timeout` where time is given in fractional seconds.

recvPacketTimeout :: Transport t => Double -> t -> IO (Maybe (PacketOf Message)) Source #

Variant of `recvPacket` that implements an n second `timeout`.